org.keycloak.authentication.actiontoken.verifyemail

## Class VerifyEmailActionTokenHandler

- java.lang.Object
- - org.keycloak.authentication.actiontoken.AbstractActionTokenHander<VerifyEmailActionToken>
  - - org.keycloak.authentication.actiontoken.verifyemail.VerifyEmailActionTokenHandler

- All Implemented Interfaces:
    ActionTokenHandler<VerifyEmailActionToken>, ActionTokenHandlerFactory<VerifyEmailActionToken>, Provider, ProviderFactory<ActionTokenHandler<VerifyEmailActionToken>>

      public class VerifyEmailActionTokenHandler
      extends AbstractActionTokenHander<VerifyEmailActionToken>

  Action token handler for verification of e-mail address.
  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyEmailActionTokenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenVerifier.Predicate<? super VerifyEmailActionToken>[]` | `getVerifiers(ActionTokenContext<VerifyEmailActionToken> tokenContext)` Returns an array of verifiers that are tested prior to handling the token.
    `javax.ws.rs.core.Response` | `handleToken(VerifyEmailActionToken token, ActionTokenContext<VerifyEmailActionToken> tokenContext)` Performs the action as per the token details.

    - ### Methods inherited from class org.keycloak.authentication.actiontoken.AbstractActionTokenHander

      `canUseTokenRepeatedly, close, create, eventType, getAuthenticationSessionIdFromToken, getDefaultErrorMessage, getDefaultEventError, getId, getTokenClass, init, postInit, startFreshAuthenticationSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### VerifyEmailActionTokenHandler

          public VerifyEmailActionTokenHandler()

  - ### Method Detail

    - #### getVerifiers

          public TokenVerifier.Predicate<? super VerifyEmailActionToken>[] getVerifiers(ActionTokenContext<VerifyEmailActionToken> tokenContext)

      Description copied from interface: `ActionTokenHandler`
      Returns an array of verifiers that are tested prior to handling the token. All verifiers have to pass successfully for token to be handled. The returned array must not be `null`.
      Returns:
        Verifiers or an empty array. The returned array must not be `null`.

    - #### handleToken

          public javax.ws.rs.core.Response handleToken(VerifyEmailActionToken token,
                                                       ActionTokenContext<VerifyEmailActionToken> tokenContext)

      Description copied from interface: `ActionTokenHandler`
      Performs the action as per the token details. This method is only called if all verifiers returned in `ActionTokenHandler.handleToken(T, org.keycloak.authentication.actiontoken.ActionTokenContext<T>)` succeed.
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.